class Api::V1::Projects::GitController < Api::V1::BaseController 
  before_action :require_public_and_member_above, only: [:trees, :blobs] 

  def trees 
    @result_object = Api::V1::Projects::Git::TreesService.call(@project, params[:sha], {recursive: params[:recursive], page: page, limit: limit}, current_user&.gitea_token)
  end

  def blobs 
    @result_object = Api::V1::Projects::Git::BlobsService.call(@project, params[:sha], current_user&.gitea_token)
  end

end